<div class="col-md-10">
  <div class="main-dash-right">
    <app-generic-content-loader [hidden]="!isLoadingTaskDetails"></app-generic-content-loader>
    <div [hidden]="isLoadingTaskDetails">
      <div class="row">
        <div class="col-xs-12">
          <div class="map_wrap">
            <div #gmap style="width:100%;height:300px"></div>
          </div>
        </div>
        <div class="margintop20">
          <div class="col-xs-8">
            <div class="title-heading"><h5 class="grey-bold-heading">Hund handy</h5>
              <h2>{{taskDetails?.serviceName}} SERVICE</h2><span class="date-wrap time-date-wrap">Booking Time : {{formatDate(taskDetails?.endTime || taskDetails?.scheduledTime)}}</span><span
                class="time-wrap time-date-wrap">Time : {{formatTime(taskDetails?.endTime || taskDetails?.scheduledTime)}}</span>
            </div>
          </div>
          <div class="col-xs-3">
            <div class="clea-img large-img"><img alt="" src="assets/images/dashboard/cleaning-serv.png"></div>
          </div>

          <div class="col-xs-12">
            <div class="progres-main-wrap">
              <ul>
                <li [ngClass]="{'done': taskDetails?.status >= 2}">
                  <span class="cirlcle"></span>
                  <span class="prog-title">IN ROUTE</span>
                </li>

                <li [ngClass]="{'done': taskDetails?.status >= 3}">
                  <span class="cirlcle"></span>
                  <span class="prog-title">WORKING</span>
                </li>

                <li [ngClass]="{'done': taskDetails?.status >= 4}">
                  <span class="cirlcle"></span>
                  <span class="prog-title">TIDING UP</span>
                </li>

                <li [ngClass]="{'done': taskDetails?.status === 5}">
                  <span class="cirlcle"></span>
                  <span class="prog-title">FINISHED</span>
                </li>
              </ul>
            </div>

            <!--<div class="action-wrap">
              <button class="btn form-sumbit-orangedash"> MARK AS WORKING</button>
            </div>-->
          </div>
        </div>
      </div>
      <div class="main-reciept-section">
        <div class="invoice-main-wrap">
          <div class="invoice-heading">
            <h3>Invoice</h3>
          </div>
          <div class="invoice-table">
           <div class="invoice-wrap">
             <div class="invoice-title">Service Charges </div>
             <div class="invoice-value">${{taskDetails?.ratePerHour}} x {{taskDetails?.hoursNeeded}}/hr</div>
           </div>
           <div class="invoice-wrap">
             <div class="invoice-title">HST Tax ({{taskDetails?.contractorHstPercentage}}%)</div>
             <div class="invoice-value">- ${{((taskDetails?.ratePerHour * taskDetails?.hoursNeeded) - taskDetails?.contractorAmount).toFixed(2)}}</div>
           </div>
           <div class="invoice-wrap">
             <div class="invoice-title">Total Earnings</div>
             <div class="invoice-value">${{taskDetails?.contractorAmount}}</div>
           </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
